require 'jasper/cli'

case ARGV.first
  when 'version', '-v', '--version'
    puts Jasper::CLI.version
  when 'extension'
    ARGV.shift
    require 'jasper/cli/extension'
    Jasper::CLI::Extension.start
  else
    ARGV.shift
    require 'jasper/cli/installer'
    Jasper::CLI::Installer.start
end
